Skip to content
Proud to collaborate with Microsoft for Startups

docusign.folders.put-folder-by-id ​

Moves a set of envelopes from their current folder to another folder. The folderId path parameter is the destination folder. The request body has an array of envelope IDs and the ID of the source folder. <ds-inlinemessage kind="warning" markdown="1"> Do not use the <code>folders</code> property in the request body. </ds-inlinemessage> If folderId is the special value recyclebin the envelopes are moved to the Deleted folder. Moving an in-process envelope (envelope status of sent or delivered) to the recyclebin voids the envelope. ### Related topics - Searching for envelopes - Sharing templates

Moves a set of envelopes from their current folder to another folder.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
folderidstringYes—The ID of the folder.
envelopeidslistNo—An array of envelope ID GUIDs.
folderslistNo—Not used.
fromfolderidstringNo—The ID of the folder that the envelope is being moved from.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
folderidstringYes—The ID of the folder.
envelopeidslistNo—An array of envelope ID GUIDs.
folderslistNo—Not used.
fromfolderidstringNo—The ID of the folder that the envelope is being moved from.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/folders/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/folders/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.folders.put-folder-by-id",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "folderid": "value"
  }
}